Docs header transparent bg

bundle outdated

List installed gems with newer versions available

$ bundle outdated [GEM] [--local] [--pre] [--source] [--strict] [--major] [--minor] [--patch] [--parseable]

Options:

--local: Do not attempt to fetch gems remotely and use the gem cache instead

--pre: Check for newer pre-release gems

--source: Check against a specific source

--strict: Display outdated gems that match the dependency requirements.

--major: Display gems with a major version update

--minor: Display gems with a minor version update

--patch: Display gems with a patch version update

--parseable: Display the output in a machine-readable format

Outdated lists the names and versions of gems that have a newer version available in the given source. Calling outdated with [GEM [GEM]] will only check for newer versions of the given gems. By default, available prerelease gems will be ignored.

Edit this document on GitHub if you caught an error or noticed something was missing.